 text/html; charset=UTF-8
Last-Modified: Tue, 07 Jan 2025 15:30:02 GMT
Expires: Fri, 05 Jan 2035 15:30:02 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>torxchat.git - Unnamed repository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/src/htm/README.md?h=fe-web' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='075cc61c942998b7fdfeabfde10490ef233f88cd'/><input type='hidden' name='showmsg' value='1'/><select name='h' onchange='this.form.submit();'>
<option value='50f488236f6108bf748948c620aaf38814334a8a'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web' selected='selected'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=fe-web'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd'>refs</a> <a class='active' href='/git-repos/torxchat.git/log/src/htm/README.md?h=fe-web&amp;showmsg=1'>log</a> <a href='/git-repos/torxchat.git/tree/src/htm/README.md?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd'>tree</a> <a href='/git-repos/torxchat.git/commit/src/htm/README.md?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd'>commit</a> <a href='/git-repos/torxchat.git/diff/src/htm/README.md?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd'>diff</a> <a href='/git-repos/torxchat.git/stats/src/htm/README.md?h=fe-web'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/src/htm/README.md'>
<input type='hidden' name='h' value='fe-web'/><input type='hidden' name='id' value='075cc61c942998b7fdfeabfde10490ef233f88cd'/><input type='hidden' name='showmsg' value='1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/log/?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd&amp;showmsg=1'>root</a>/<a href='/git-repos/torxchat.git/log/src?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd&amp;showmsg=1'>src</a>/<a href='/git-repos/torxchat.git/log/src/htm?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd&amp;showmsg=1'>htm</a>/<a href='/git-repos/torxchat.git/log/src/htm/README.md?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd&amp;showmsg=1'>README.md</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/git-repos/torxchat.git/log/src/htm/README.md?h=fe-web&amp;id=075cc61c942998b7fdfeabfde10490ef233f88cd'>Collapse</a>)</th><th class='left'>Author</th></tr>
<tr class='logheader'><td><span title='2012-07-20 15:50:42 +0200'>2012-07-20</span></td><td class='logsubject'><a href='/git-repos/torxchat.git/commit/src/htm/README.md?h=fe-web&amp;id=47d6222f1c66332a652fc4d49fc39b4b04905beb'>Be consistent about caps</a></td><td>Berke Viktor</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
</td></tr>
<tr class='logheader'><td><span title='2012-07-19 18:30:12 +0300'>2012-07-19</span></td><td class='logsubject'><a href='/git-repos/torxchat.git/commit/src/htm/README.md?h=fe-web&amp;id=f535702903a26cf25a8e2d97b41b503efedfa2ee'>more branding changes</a></td><td>xhmikosr</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
</td></tr>
<tr class='logheader'><td><span title='2012-07-13 15:01:54 +0200'>2012-07-13</span></td><td class='logsubject'><a href='/git-repos/torxchat.git/commit/src/htm/README.md?h=fe-web&amp;id=c33342b20245a1b611dc985dadec1db3df3f7521'>Rename XTM to HTM</a></td><td>Berke Viktor</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
</td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-07 15:30:02 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
ref='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
<a id='n216' href='#n216'>216</a>
<a id='n217' href='#n217'>217</a>
<a id='n218' href='#n218'>218</a>
<a id='n219' href='#n219'>219</a>
<a id='n220' href='#n220'>220</a>
<a id='n221' href='#n221'>221</a>
<a id='n222' href='#n222'>222</a>
<a id='n223' href='#n223'>223</a>
<a id='n224' href='#n224'>224</a>
<a id='n225' href='#n225'>225</a>
<a id='n226' href='#n226'>226</a>
<a id='n227' href='#n227'>227</a>
<a id='n228' href='#n228'>228</a>
<a id='n229' href='#n229'>229</a>
<a id='n230' href='#n230'>230</a>
<a id='n231' href='#n231'>231</a>
<a id='n232' href='#n232'>232</a>
<a id='n233' href='#n233'>233</a>
<a id='n234' href='#n234'>234</a>
<a id='n235' href='#n235'>235</a>
<a id='n236' href='#n236'>236</a>
<a id='n237' href='#n237'>237</a>
<a id='n238' href='#n238'>238</a>
<a id='n239' href='#n239'>239</a>
<a id='n240' href='#n240'>240</a>
<a id='n241' href='#n241'>241</a>
<a id='n242' href='#n242'>242</a>
<a id='n243' href='#n243'>243</a>
<a id='n244' href='#n244'>244</a>
<a id='n245' href='#n245'>245</a>
<a id='n246' href='#n246'>246</a>
<a id='n247' href='#n247'>247</a>
<a id='n248' href='#n248'>248</a>
<a id='n249' href='#n249'>249</a>
<a id='n250' href='#n250'>250</a>
<a id='n251' href='#n251'>251</a>
<a id='n252' href='#n252'>252</a>
<a id='n253' href='#n253'>253</a>
<a id='n254' href='#n254'>254</a>
<a id='n255' href='#n255'>255</a>
<a id='n256' href='#n256'>256</a>
<a id='n257' href='#n257'>257</a>
<a id='n258' href='#n258'>258</a>
<a id='n259' href='#n259'>259</a>
<a id='n260' href='#n260'>260</a>
<a id='n261' href='#n261'>261</a>
<a id='n262' href='#n262'>262</a>
<a id='n263' href='#n263'>263</a>
<a id='n264' href='#n264'>264</a>
<a id='n265' href='#n265'>265</a>
<a id='n266' href='#n266'>266</a>
<a id='n267' href='#n267'>267</a>
<a id='n268' href='#n268'>268</a>
<a id='n269' href='#n269'>269</a>
<a id='n270' href='#n270'>270</a>
<a id='n271' href='#n271'>271</a>
<a id='n272' href='#n272'>272</a>
<a id='n273' href='#n273'>273</a>
<a id='n274' href='#n274'>274</a>
<a id='n275' href='#n275'>275</a>
<a id='n276' href='#n276'>276</a>
<a id='n277' href='#n277'>277</a>
<a id='n278' href='#n278'>278</a>
<a id='n279' href='#n279'>279</a>
<a id='n280' href='#n280'>280</a>
<a id='n281' href='#n281'>281</a>
<a id='n282' href='#n282'>282</a>
<a id='n283' href='#n283'>283</a>
<a id='n284' href='#n284'>284</a>
<a id='n285' href='#n285'>285</a>
<a id='n286' href='#n286'>286</a>
<a id='n287' href='#n287'>287</a>
<a id='n288' href='#n288'>288</a>
<a id='n289' href='#n289'>289</a>
<a id='n290' href='#n290'>290</a>
<a id='n291' href='#n291'>291</a>
<a id='n292' href='#n292'>292</a>
<a id='n293' href='#n293'>293</a>
<a id='n294' href='#n294'>294</a>
<a id='n295' href='#n295'>295</a>
<a id='n296' href='#n296'>296</a>
<a id='n297' href='#n297'>297</a>
<a id='n298' href='#n298'>298</a>
<a id='n299' href='#n299'>299</a>
<a id='n300' href='#n300'>300</a>
<a id='n301' href='#n301'>301</a>
<a id='n302' href='#n302'>302</a>
<a id='n303' href='#n303'>303</a>
<a id='n304' href='#n304'>304</a>
<a id='n305' href='#n305'>305</a>
<a id='n306' href='#n306'>306</a>
<a id='n307' href='#n307'>307</a>
<a id='n308' href='#n308'>308</a>
<a id='n309' href='#n309'>309</a>
<a id='n310' href='#n310'>310</a>
<a id='n311' href='#n311'>311</a>
<a id='n312' href='#n312'>312</a>
<a id='n313' href='#n313'>313</a>
<a id='n314' href='#n314'>314</a>
<a id='n315' href='#n315'>315</a>
<a id='n316' href='#n316'>316</a>
<a id='n317' href='#n317'>317</a>
<a id='n318' href='#n318'>318</a>
<a id='n319' href='#n319'>319</a>
<a id='n320' href='#n320'>320</a>
<a id='n321' href='#n321'>321</a>
<a id='n322' href='#n322'>322</a>
<a id='n323' href='#n323'>323</a>
<a id='n324' href='#n324'>324</a>
<a id='n325' href='#n325'>325</a>
<a id='n326' href='#n326'>326</a>
<a id='n327' href='#n327'>327</a>
<a id='n328' href='#n328'>328</a>
<a id='n329' href='#n329'>329</a>
<a id='n330' href='#n330'>330</a>
<a id='n331' href='#n331'>331</a>
<a id='n332' href='#n332'>332</a>
<a id='n333' href='#n333'>333</a>
<a id='n334' href='#n334'>334</a>
<a id='n335' href='#n335'>335</a>
<a id='n336' href='#n336'>336</a>
<a id='n337' href='#n337'>337</a>
<a id='n338' href='#n338'>338</a>
<a id='n339' href='#n339'>339</a>
<a id='n340' href='#n340'>340</a>
<a id='n341' href='#n341'>341</a>
<a id='n342' href='#n342'>342</a>
<a id='n343' href='#n343'>343</a>
<a id='n344' href='#n344'>344</a>
<a id='n345' href='#n345'>345</a>
<a id='n346' href='#n346'>346</a>
<a id='n347' href='#n347'>347</a>
<a id='n348' href='#n348'>348</a>
<a id='n349' href='#n349'>349</a>
<a id='n350' href='#n350'>350</a>
<a id='n351' href='#n351'>351</a>
<a id='n352' href='#n352'>352</a>
<a id='n353' href='#n353'>353</a>
<a id='n354' href='#n354'>354</a>
<a id='n355' href='#n355'>355</a>
<a id='n356' href='#n356'>356</a>
<a id='n357' href='#n357'>357</a>
<a id='n358' href='#n358'>358</a>
<a id='n359' href='#n359'>359</a>
<a id='n360' href='#n360'>360</a>
<a id='n361' href='#n361'>361</a>
<a id='n362' href='#n362'>362</a>
<a id='n363' href='#n363'>363</a>
<a id='n364' href='#n364'>364</a>
<a id='n365' href='#n365'>365</a>
<a id='n366' href='#n366'>366</a>
<a id='n367' href='#n367'>367</a>
<a id='n368' href='#n368'>368</a>
<a id='n369' href='#n369'>369</a>
<a id='n370' href='#n370'>370</a>
<a id='n371' href='#n371'>371</a>
<a id='n372' href='#n372'>372</a>
<a id='n373' href='#n373'>373</a>
<a id='n374' href='#n374'>374</a>
<a id='n375' href='#n375'>375</a>
<a id='n376' href='#n376'>376</a>
<a id='n377' href='#n377'>377</a>
<a id='n378' href='#n378'>378</a>
<a id='n379' href='#n379'>379</a>
<a id='n380' href='#n380'>380</a>
<a id='n381' href='#n381'>381</a>
<a id='n382' href='#n382'>382</a>
<a id='n383' href='#n383'>383</a>
<a id='n384' href='#n384'>384</a>
<a id='n385' href='#n385'>385</a>
<a id='n386' href='#n386'>386</a>
<a id='n387' href='#n387'>387</a>
<a id='n388' href='#n388'>388</a>
<a id='n389' href='#n389'>389</a>
<a id='n390' href='#n390'>390</a>
<a id='n391' href='#n391'>391</a>
<a id='n392' href='#n392'>392</a>
<a id='n393' href='#n393'>393</a>
<a id='n394' href='#n394'>394</a>
<a id='n395' href='#n395'>395</a>
<a id='n396' href='#n396'>396</a>
<a id='n397' href='#n397'>397</a>
<a id='n398' href='#n398'>398</a>
<a id='n399' href='#n399'>399</a>
<a id='n400' href='#n400'>400</a>
<a id='n401' href='#n401'>401</a>
<a id='n402' href='#n402'>402</a>
<a id='n403' href='#n403'>403</a>
<a id='n404' href='#n404'>404</a>
<a id='n405' href='#n405'>405</a>
<a id='n406' href='#n406'>406</a>
<a id='n407' href='#n407'>407</a>
<a id='n408' href='#n408'>408</a>
<a id='n409' href='#n409'>409</a>
<a id='n410' href='#n410'>410</a>
<a id='n411' href='#n411'>411</a>
<a id='n412' href='#n412'>412</a>
<a id='n413' href='#n413'>413</a>
<a id='n414' href='#n414'>414</a>
<a id='n415' href='#n415'>415</a>
<a id='n416' href='#n416'>416</a>
<a id='n417' href='#n417'>417</a>
<a id='n418' href='#n418'>418</a>
<a id='n419' href='#n419'>419</a>
<a id='n420' href='#n420'>420</a>
<a id='n421' href='#n421'>421</a>
<a id='n422' href='#n422'>422</a>
<a id='n423' href='#n423'>423</a>
<a id='n424' href='#n424'>424</a>
<a id='n425' href='#n425'>425</a>
<a id='n426' href='#n426'>426</a>
<a id='n427' href='#n427'>427</a>
<a id='n428' href='#n428'>428</a>
<a id='n429' href='#n429'>429</a>
<a id='n430' href='#n430'>430</a>
<a id='n431' href='#n431'>431</a>
<a id='n432' href='#n432'>432</a>
<a id='n433' href='#n433'>433</a>
<a id='n434' href='#n434'>434</a>
<a id='n435' href='#n435'>435</a>
<a id='n436' href='#n436'>436</a>
<a id='n437' href='#n437'>437</a>
<a id='n438' href='#n438'>438</a>
<a id='n439' href='#n439'>439</a>
<a id='n440' href='#n440'>440</a>
<a id='n441' href='#n441'>441</a>
<a id='n442' href='#n442'>442</a>
<a id='n443' href='#n443'>443</a>
<a id='n444' href='#n444'>444</a>
<a id='n445' href='#n445'>445</a>
<a id='n446' href='#n446'>446</a>
<a id='n447' href='#n447'>447</a>
<a id='n448' href='#n448'>448</a>
<a id='n449' href='#n449'>449</a>
<a id='n450' href='#n450'>450</a>
<a id='n451' href='#n451'>451</a>
<a id='n452' href='#n452'>452</a>
<a id='n453' href='#n453'>453</a>
<a id='n454' href='#n454'>454</a>
<a id='n455' href='#n455'>455</a>
<a id='n456' href='#n456'>456</a>
<a id='n457' href='#n457'>457</a>
<a id='n458' href='#n458'>458</a>
<a id='n459' href='#n459'>459</a>
<a id='n460' href='#n460'>460</a>
<a id='n461' href='#n461'>461</a>
<a id='n462' href='#n462'>462</a>
<a id='n463' href='#n463'>463</a>
<a id='n464' href='#n464'>464</a>
<a id='n465' href='#n465'>465</a>
<a id='n466' href='#n466'>466</a>
<a id='n467' href='#n467'>467</a>
<a id='n468' href='#n468'>468</a>
<a id='n469' href='#n469'>469</a>
<a id='n470' href='#n470'>470</a>
<a id='n471' href='#n471'>471</a>
<a id='n472' href='#n472'>472</a>
<a id='n473' href='#n473'>473</a>
<a id='n474' href='#n474'>474</a>
<a id='n475' href='#n475'>475</a>
<a id='n476' href='#n476'>476</a>
<a id='n477' href='#n477'>477</a>
<a id='n478' href='#n478'>478</a>
<a id='n479' href='#n479'>479</a>
<a id='n480' href='#n480'>480</a>
<a id='n481' href='#n481'>481</a>
<a id='n482' href='#n482'>482</a>
<a id='n483' href='#n483'>483</a>
<a id='n484' href='#n484'>484</a>
<a id='n485' href='#n485'>485</a>
<a id='n486' href='#n486'>486</a>
<a id='n487' href='#n487'>487</a>
<a id='n488' href='#n488'>488</a>
<a id='n489' href='#n489'>489</a>
<a id='n490' href='#n490'>490</a>
<a id='n491' href='#n491'>491</a>
<a id='n492' href='#n492'>492</a>
<a id='n493' href='#n493'>493</a>
<a id='n494' href='#n494'>494</a>
<a id='n495' href='#n495'>495</a>
<a id='n496' href='#n496'>496</a>
<a id='n497' href='#n497'>497</a>
<a id='n498' href='#n498'>498</a>
<a id='n499' href='#n499'>499</a>
<a id='n500' href='#n500'>500</a>
<a id='n501' href='#n501'>501</a>
<a id='n502' href='#n502'>502</a>
<a id='n503' href='#n503'>503</a>
<a id='n504' href='#n504'>504</a>
<a id='n505' href='#n505'>505</a>
<a id='n506' href='#n506'>506</a>
<a id='n507' href='#n507'>507</a>
<a id='n508' href='#n508'>508</a>
<a id='n509' href='#n509'>509</a>
<a id='n510' href='#n510'>510</a>
<a id='n511' href='#n511'>511</a>
<a id='n512' href='#n512'>512</a>
<a id='n513' href='#n513'>513</a>
<a id='n514' href='#n514'>514</a>
<a id='n515' href='#n515'>515</a>
<a id='n516' href='#n516'>516</a>
<a id='n517' href='#n517'>517</a>
<a id='n518' href='#n518'>518</a>
<a id='n519' href='#n519'>519</a>
<a id='n520' href='#n520'>520</a>
<a id='n521' href='#n521'>521</a>
<a id='n522' href='#n522'>522</a>
<a id='n523' href='#n523'>523</a>
<a id='n524' href='#n524'>524</a>
<a id='n525' href='#n525'>525</a>
<a id='n526' href='#n526'>526</a>
<a id='n527' href='#n527'>527</a>
<a id='n528' href='#n528'>528</a>
<a id='n529' href='#n529'>529</a>
<a id='n530' href='#n530'>530</a>
<a id='n531' href='#n531'>531</a>
<a id='n532' href='#n532'>532</a>
<a id='n533' href='#n533'>533</a>
<a id='n534' href='#n534'>534</a>
<a id='n535' href='#n535'>535</a>
<a id='n536' href='#n536'>536</a>
<a id='n537' href='#n537'>537</a>
<a id='n538' href='#n538'>538</a>
<a id='n539' href='#n539'>539</a>
<a id='n540' href='#n540'>540</a>
<a id='n541' href='#n541'>541</a>
<a id='n542' href='#n542'>542</a>
<a id='n543' href='#n543'>543</a>
<a id='n544' href='#n544'>544</a>
<a id='n545' href='#n545'>545</a>
<a id='n546' href='#n546'>546</a>
<a id='n547' href='#n547'>547</a>
<a id='n548' href='#n548'>548</a>
<a id='n549' href='#n549'>549</a>
<a id='n550' href='#n550'>550</a>
<a id='n551' href='#n551'>551</a>
<a id='n552' href='#n552'>552</a>
<a id='n553' href='#n553'>553</a>
<a id='n554' href='#n554'>554</a>
<a id='n555' href='#n555'>555</a>
<a id='n556' href='#n556'>556</a>
<a id='n557' href='#n557'>557</a>
<a id='n558' href='#n558'>558</a>
<a id='n559' href='#n559'>559</a>
<a id='n560' href='#n560'>560</a>
<a id='n561' href='#n561'>561</a>
<a id='n562' href='#n562'>562</a>
<a id='n563' href='#n563'>563</a>
<a id='n564' href='#n564'>564</a>
<a id='n565' href='#n565'>565</a>
<a id='n566' href='#n566'>566</a>
<a id='n567' href='#n567'>567</a>
<a id='n568' href='#n568'>568</a>
<a id='n569' href='#n569'>569</a>
<a id='n570' href='#n570'>570</a>
<a id='n571' href='#n571'>571</a>
<a id='n572' href='#n572'>572</a>
<a id='n573' href='#n573'>573</a>
<a id='n574' href='#n574'>574</a>
<a id='n575' href='#n575'>575</a>
<a id='n576' href='#n576'>576</a>
<a id='n577' href='#n577'>577</a>
<a id='n578' href='#n578'>578</a>
<a id='n579' href='#n579'>579</a>
<a id='n580' href='#n580'>580</a>
<a id='n581' href='#n581'>581</a>
<a id='n582' href='#n582'>582</a>
<a id='n583' href='#n583'>583</a>
<a id='n584' href='#n584'>584</a>
<a id='n585' href='#n585'>585</a>
<a id='n586' href='#n586'>586</a>
<a id='n587' href='#n587'>587</a>
<a id='n588' href='#n588'>588</a>
<a id='n589' href='#n589'>589</a>
<a id='n590' href='#n590'>590</a>
<a id='n591' href='#n591'>591</a>
<a id='n592' href='#n592'>592</a>
<a id='n593' href='#n593'>593</a>
<a id='n594' href='#n594'>594</a>
<a id='n595' href='#n595'>595</a>
<a id='n596' href='#n596'>596</a>
<a id='n597' href='#n597'>597</a>
<a id='n598' href='#n598'>598</a>
<a id='n599' href='#n599'>599</a>
<a id='n600' href='#n600'>600</a>
<a id='n601' href='#n601'>601</a>
<a id='n602' href='#n602'>602</a>
<a id='n603' href='#n603'>603</a>
<a id='n604' href='#n604'>604</a>
<a id='n605' href='#n605'>605</a>
<a id='n606' href='#n606'>606</a>
<a id='n607' href='#n607'>607</a>
<a id='n608' href='#n608'>608</a>
<a id='n609' href='#n609'>609</a>
<a id='n610' href='#n610'>610</a>
<a id='n611' href='#n611'>611</a>
<a id='n612' href='#n612'>612</a>
<a id='n613' href='#n613'>613</a>
<a id='n614' href='#n614'>614</a>
<a id='n615' href='#n615'>615</a>
<a id='n616' href='#n616'>616</a>
<a id='n617' href='#n617'>617</a>
<a id='n618' href='#n618'>618</a>
<a id='n619' href='#n619'>619</a>
<a id='n620' href='#n620'>620</a>
<a id='n621' href='#n621'>621</a>
<a id='n622' href='#n622'>622</a>
<a id='n623' href='#n623'>623</a>
<a id='n624' href='#n624'>624</a>
<a id='n625' href='#n625'>625</a>
<a id='n626' href='#n626'>626</a>
<a id='n627' href='#n627'>627</a>
<a id='n628' href='#n628'>628</a>
<a id='n629' href='#n629'>629</a>
<a id='n630' href='#n630'>630</a>
<a id='n631' href='#n631'>631</a>
<a id='n632' href='#n632'>632</a>
<a id='n633' href='#n633'>633</a>
<a id='n634' href='#n634'>634</a>
<a id='n635' href='#n635'>635</a>
<a id='n636' href='#n636'>636</a>
<a id='n637' href='#n637'>637</a>
<a id='n638' href='#n638'>638</a>
<a id='n639' href='#n639'>639</a>
<a id='n640' href='#n640'>640</a>
<a id='n641' href='#n641'>641</a>
<a id='n642' href='#n642'>642</a>
<a id='n643' href='#n643'>643</a>
<a id='n644' href='#n644'>644</a>
<a id='n645' href='#n645'>645</a>
<a id='n646' href='#n646'>646</a>
<a id='n647' href='#n647'>647</a>
<a id='n648' href='#n648'>648</a>
<a id='n649' href='#n649'>649</a>
<a id='n650' href='#n650'>650</a>
<a id='n651' href='#n651'>651</a>
<a id='n652' href='#n652'>652</a>
<a id='n653' href='#n653'>653</a>
<a id='n654' href='#n654'>654</a>
<a id='n655' href='#n655'>655</a>
<a id='n656' href='#n656'>656</a>
<a id='n657' href='#n657'>657</a>
<a id='n658' href='#n658'>658</a>
<a id='n659' href='#n659'>659</a>
<a id='n660' href='#n660'>660</a>
<a id='n661' href='#n661'>661</a>
<a id='n662' href='#n662'>662</a>
<a id='n663' href='#n663'>663</a>
<a id='n664' href='#n664'>664</a>
<a id='n665' href='#n665'>665</a>
<a id='n666' href='#n666'>666</a>
<a id='n667' href='#n667'>667</a>
<a id='n668' href='#n668'>668</a>
<a id='n669' href='#n669'>669</a>
<a id='n670' href='#n670'>670</a>
<a id='n671' href='#n671'>671</a>
<a id='n672' href='#n672'>672</a>
<a id='n673' href='#n673'>673</a>
<a id='n674' href='#n674'>674</a>
<a id='n675' href='#n675'>675</a>
<a id='n676' href='#n676'>676</a>
<a id='n677' href='#n677'>677</a>
<a id='n678' href='#n678'>678</a>
<a id='n679' href='#n679'>679</a>
<a id='n680' href='#n680'>680</a>
<a id='n681' href='#n681'>681</a>
<a id='n682' href='#n682'>682</a>
<a id='n683' href='#n683'>683</a>
<a id='n684' href='#n684'>684</a>
<a id='n685' href='#n685'>685</a>
<a id='n686' href='#n686'>686</a>
<a id='n687' href='#n687'>687</a>
<a id='n688' href='#n688'>688</a>
<a id='n689' href='#n689'>689</a>
<a id='n690' href='#n690'>690</a>
<a id='n691' href='#n691'>691</a>
<a id='n692' href='#n692'>692</a>
<a id='n693' href='#n693'>693</a>
<a id='n694' href='#n694'>694</a>
<a id='n695' href='#n695'>695</a>
<a id='n696' href='#n696'>696</a>
<a id='n697' href='#n697'>697</a>
<a id='n698' href='#n698'>698</a>
<a id='n699' href='#n699'>699</a>
<a id='n700' href='#n700'>700</a>
<a id='n701' href='#n701'>701</a>
<a id='n702' href='#n702'>702</a>
<a id='n703' href='#n703'>703</a>
<a id='n704' href='#n704'>704</a>
<a id='n705' href='#n705'>705</a>
<a id='n706' href='#n706'>706</a>
<a id='n707' href='#n707'>707</a>
<a id='n708' href='#n708'>708</a>
<a id='n709' href='#n709'>709</a>
<a id='n710' href='#n710'>710</a>
<a id='n711' href='#n711'>711</a>
<a id='n712' href='#n712'>712</a>
<a id='n713' href='#n713'>713</a>
<a id='n714' href='#n714'>714</a>
<a id='n715' href='#n715'>715</a>
<a id='n716' href='#n716'>716</a>
<a id='n717' href='#n717'>717</a>
<a id='n718' href='#n718'>718</a>
<a id='n719' href='#n719'>719</a>
<a id='n720' href='#n720'>720</a>
<a id='n721' href='#n721'>721</a>
<a id='n722' href='#n722'>722</a>
<a id='n723' href='#n723'>723</a>
<a id='n724' href='#n724'>724</a>
<a id='n725' href='#n725'>725</a>
<a id='n726' href='#n726'>726</a>
<a id='n727' href='#n727'>727</a>
<a id='n728' href='#n728'>728</a>
<a id='n729' href='#n729'>729</a>
<a id='n730' href='#n730'>730</a>
<a id='n731' href='#n731'>731</a>
<a id='n732' href='#n732'>732</a>
<a id='n733' href='#n733'>733</a>
<a id='n734' href='#n734'>734</a>
<a id='n735' href='#n735'>735</a>
<a id='n736' href='#n736'>736</a>
<a id='n737' href='#n737'>737</a>
<a id='n738' href='#n738'>738</a>
<a id='n739' href='#n739'>739</a>
<a id='n740' href='#n740'>740</a>
<a id='n741' href='#n741'>741</a>
<a id='n742' href='#n742'>742</a>
<a id='n743' href='#n743'>743</a>
<a id='n744' href='#n744'>744</a>
<a id='n745' href='#n745'>745</a>
<a id='n746' href='#n746'>746</a>
<a id='n747' href='#n747'>747</a>
<a id='n748' href='#n748'>748</a>
<a id='n749' href='#n749'>749</a>
<a id='n750' href='#n750'>750</a>
<a id='n751' href='#n751'>751</a>
<a id='n752' href='#n752'>752</a>
<a id='n753' href='#n753'>753</a>
<a id='n754' href='#n754'>754</a>
<a id='n755' href='#n755'>755</a>
<a id='n756' href='#n756'>756</a>
<a id='n757' href='#n757'>757</a>
<a id='n758' href='#n758'>758</a>
<a id='n759' href='#n759'>759</a>
<a id='n760' href='#n760'>760</a>
<a id='n761' href='#n761'>761</a>
<a id='n762' href='#n762'>762</a>
<a id='n763' href='#n763'>763</a>
<a id='n764' href='#n764'>764</a>
<a id='n765' href='#n765'>765</a>
<a id='n766' href='#n766'>766</a>
<a id='n767' href='#n767'>767</a>
<a id='n768' href='#n768'>768</a>
<a id='n769' href='#n769'>769</a>
<a id='n770' href='#n770'>770</a>
<a id='n771' href='#n771'>771</a>
<a id='n772' href='#n772'>772</a>
<a id='n773' href='#n773'>773</a>
<a id='n774' href='#n774'>774</a>
<a id='n775' href='#n775'>775</a>
<a id='n776' href='#n776'>776</a>
<a id='n777' href='#n777'>777</a>
<a id='n778' href='#n778'>778</a>
<a id='n779' href='#n779'>779</a>
<a id='n780' href='#n780'>780</a>
<a id='n781' href='#n781'>781</a>
<a id='n782' href='#n782'>782</a>
<a id='n783' href='#n783'>783</a>
<a id='n784' href='#n784'>784</a>
<a id='n785' href='#n785'>785</a>
<a id='n786' href='#n786'>786</a>
<a id='n787' href='#n787'>787</a>
<a id='n788' href='#n788'>788</a>
<a id='n789' href='#n789'>789</a>
<a id='n790' href='#n790'>790</a>
<a id='n791' href='#n791'>791</a>
<a id='n792' href='#n792'>792</a>
<a id='n793' href='#n793'>793</a>
<a id='n794' href='#n794'>794</a>
<a id='n795' href='#n795'>795</a>
<a id='n796' href='#n796'>796</a>
<a id='n797' href='#n797'>797</a>
<a id='n798' href='#n798'>798</a>
<a id='n799' href='#n799'>799</a>
<a id='n800' href='#n800'>800</a>
<a id='n801' href='#n801'>801</a>
<a id='n802' href='#n802'>802</a>
<a id='n803' href='#n803'>803</a>
<a id='n804' href='#n804'>804</a>
<a id='n805' href='#n805'>805</a>
<a id='n806' href='#n806'>806</a>
<a id='n807' href='#n807'>807</a>
<a id='n808' href='#n808'>808</a>
<a id='n809' href='#n809'>809</a>
<a id='n810' href='#n810'>810</a>
<a id='n811' href='#n811'>811</a>
<a id='n812' href='#n812'>812</a>
<a id='n813' href='#n813'>813</a>
<a id='n814' href='#n814'>814</a>
<a id='n815' href='#n815'>815</a>
<a id='n816' href='#n816'>816</a>
<a id='n817' href='#n817'>817</a>
<a id='n818' href='#n818'>818</a>
<a id='n819' href='#n819'>819</a>
<a id='n820' href='#n820'>820</a>
<a id='n821' href='#n821'>821</a>
<a id='n822' href='#n822'>822</a>
<a id='n823' href='#n823'>823</a>
<a id='n824' href='#n824'>824</a>
<a id='n825' href='#n825'>825</a>
<a id='n826' href='#n826'>826</a>
<a id='n827' href='#n827'>827</a>
<a id='n828' href='#n828'>828</a>
<a id='n829' href='#n829'>829</a>
<a id='n830' href='#n830'>830</a>
<a id='n831' href='#n831'>831</a>
<a id='n832' href='#n832'>832</a>
<a id='n833' href='#n833'>833</a>
<a id='n834' href='#n834'>834</a>
<a id='n835' href='#n835'>835</a>
<a id='n836' href='#n836'>836</a>
<a id='n837' href='#n837'>837</a>
<a id='n838' href='#n838'>838</a>
<a id='n839' href='#n839'>839</a>
<a id='n840' href='#n840'>840</a>
<a id='n841' href='#n841'>841</a>
<a id='n842' href='#n842'>842</a>
<a id='n843' href='#n843'>843</a>
<a id='n844' href='#n844'>844</a>
<a id='n845' href='#n845'>845</a>
<a id='n846' href='#n846'>846</a>
<a id='n847' href='#n847'>847</a>
<a id='n848' href='#n848'>848</a>
<a id='n849' href='#n849'>849</a>
<a id='n850' href='#n850'>850</a>
<a id='n851' href='#n851'>851</a>
<a id='n852' href='#n852'>852</a>
<a id='n853' href='#n853'>853</a>
<a id='n854' href='#n854'>854</a>
<a id='n855' href='#n855'>855</a>
<a id='n856' href='#n856'>856</a>
<a id='n857' href='#n857'>857</a>
<a id='n858' href='#n858'>858</a>
<a id='n859' href='#n859'>859</a>
<a id='n860' href='#n860'>860</a>
<a id='n861' href='#n861'>861</a>
<a id='n862' href='#n862'>862</a>
<a id='n863' href='#n863'>863</a>
<a id='n864' href='#n864'>864</a>
<a id='n865' href='#n865'>865</a>
<a id='n866' href='#n866'>866</a>
<a id='n867' href='#n867'>867</a>
<a id='n868' href='#n868'>868</a>
<a id='n869' href='#n869'>869</a>
<a id='n870' href='#n870'>870</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>Add Notify
XP_TE_ADDNOTIFY
pevt_generic_nick_help
%C18*%O$t%C18$1%O added to notify list.
1

Ban List
XP_TE_BANLIST
pevt_banlist_help
%C22*%O$t%C22$1%O Banlist: %C18$2%O for %C24$4%O by %C26$3%O
4

Banned
XP_TE_BANNED
pevt_generic_channel_help
%C22*%O$tCannot join%C22 $1 %O(%C20You are banned%O).
1

Beep
XP_TE_BEEP
pevt_generic_none_help

n0

Capability Acknowledgement
XP_TE_CAPACK
pevt_capack_help
%C29*%O$tCapabilities acknowledged: %C29$2%O
2

Capability List
XP_TE_CAPLIST
pevt_caplist_help
%C23*%O$tCapabilities supported: %C29$2%O
2

Capability Request
XP_TE_CAPREQ
pevt_capreq_help
%C23*%O$tCapabilities requested: %C29$1%O
1

Change Nick
XP_TE_CHANGENICK
pevt_changenick_help
%C24*%O$t%C28$1%O is now known as %C18$2%O
2

Channel Action
XP_TE_CHANACTION
pevt_chanaction_help
%C18*$t%B$1%O $2
n4

Channel Action Hilight
XP_TE_HCHANACTION
pevt_chanaction_help
%C19*$t%B$1%B $2%O
n4

Channel Ban
XP_TE_CHANBAN
pevt_chanban_help
%C22*%O$t%C26$1%O sets ban on %C18$2%O
2

Channel Creation
XP_TE_CHANDATE
pevt_chandate_help
%C22*%O$tChannel %C22$1%O created
2

Channel DeHalfOp
XP_TE_CHANDEHOP
pevt_chandehop_help
%C22*%O$t%C26$1%O removes channel half-operator status from %C18$2%O
2

Channel DeOp
XP_TE_CHANDEOP
pevt_chandeop_help
%C22*%O$t%C26$1%O removes channel operator status from %C18$2%O
2

Channel DeVoice
XP_TE_CHANDEVOICE
pevt_chandevoice_help
%C22*%O$t%C26$1%O removes voice from %C18$2%O
2

Channel Exempt
XP_TE_CHANEXEMPT
pevt_chanexempt_help
%C22*%O$t%C26 $1%C sets exempt on %C18$2%O
2

Channel Half-Operator
XP_TE_CHANHOP
pevt_chanhop_help
%C22*%O$t%C26$1%O gives channel half-operator status to %C18$2%O
2

Channel INVITE
XP_TE_CHANINVITE
pevt_chaninvite_help
%C22*%O$t%C26 $1%C sets invite on %C18$2%O
2

Channel List
XP_TE_CHANLISTHEAD
pevt_generic_none_help
%UChannel          Users   Topic
0

Channel Message
XP_TE_CHANMSG
pevt_chanmsg_help
%C18%H&lt;%H$4$1%H&gt;%H%O$t$2
n4

Channel Mode Generic
XP_TE_CHANMODEGEN
pevt_chanmodegen_help
%C22*%O$t%C26$1%O sets mode %C24$2$3%O on %C22$4%O
4

Channel Modes
XP_TE_CHANMODES
pevt_chanmodes_help
%C22*%O$tChannel %C22$1%O modes: %C24$2
2

Channel Msg Hilight
XP_TE_HCHANMSG
pevt_chanmsg_help
%C19%H&lt;%H$4%B$1%B%H&gt;%H$t$2%O
n4

Channel Notice
XP_TE_CHANNOTICE
pevt_channotice_help
-%C18$1%C/%C22$2%C-$t$3%O
n3

Channel Operator
XP_TE_CHANOP
pevt_chanop_help
%C22*%O$t%C26$1%O gives channel operator status to %C18$2%O
2

Channel Remove Exempt
XP_TE_CHANRMEXEMPT
pevt_chanrmexempt_help
%C22*%O$t%C26$1%O removes exempt on %C18$2%O
2

Channel Remove Invite
XP_TE_CHANRMINVITE
pevt_chanrminvite_help
%C22*%O$t%C26 $1%O removes invite on %C18$2%O
2

Channel Remove Keyword
XP_TE_CHANRMKEY
pevt_chanrmkey_help
%C22*%O$t%C26$1%O removes channel keyword
1

Channel Remove Limit
XP_TE_CHANRMLIMIT
pevt_chanrmlimit_help
%C22*%O$t%C26$1%O removes user limit
1

Channel Set Key
XP_TE_CHANSETKEY
pevt_chansetkey_help
%C22*%O$t$1 sets channel keyword to %C24$2%O
2

Channel Set Limit
XP_TE_CHANSETLIMIT
pevt_chansetlimit_help
%C22*%O$t%C26$1%O sets channel limit to %C24$2%O
2

Channel UnBan
XP_TE_CHANUNBAN
pevt_chanunban_help
%C22*%O$t%C26$1%O removes ban on %C24$2%O
2

Channel Voice
XP_TE_CHANVOICE
pevt_chanvoice_help
%C22*%O$t%C26$1%O gives voice to %C18$2%O
2

Connected
XP_TE_CONNECTED
pevt_generic_none_help
%C23*%O$tConnected. Now logging in.
0

Connecting
XP_TE_CONNECT
pevt_connect_help
%C23*%O$tConnecting to %C29$1%C (%C23$2:$3%O)
3

Connection Failed
XP_TE_CONNFAIL
pevt_connfail_help
%C20*%O$tConnection failed (%C20$1%O)
1

CTCP Generic
XP_TE_CTCPGEN
pevt_ctcpgen_help
%C24*%O$tReceived a CTCP %C24$1%C from %C18$2%O
2

CTCP Generic to Channel
XP_TE_CTCPGENC
pevt_ctcpgenc_help
%C24*%C$tReceived a CTCP %C24$1%C from %C18$2%C (to %C22$3%C)%O
3

CTCP Send
XP_TE_CTCPSEND
pevt_ctcpsend_help
&gt;%C18$1%C&lt;$tCTCP %C24$2%O
n2

CTCP Sound
XP_TE_CTCPSND
pevt_ctcpsnd_help
%C24*%O$tReceived a CTCP Sound %C24$1%C from %C18$2%O
2

CTCP Sound to Channel
XP_TE_CTCPSNDC
pevt_ctcpsnd_help
%C24*%O$tReceived a CTCP Sound %C24$1%C from %C18$2%C (to %C22$3%O)
3

DCC CHAT Abort
XP_TE_DCCCHATABORT
pevt_dccchatabort_help
%C23*%O$tDCC CHAT to %C18$1%O aborted.
1

DCC CHAT Connect
XP_TE_DCCCONCHAT
pevt_dccchatcon_help
%C24*%O$tDCC CHAT connection established to %C18$1%C %C30[%C24$2%C30]%O
2

DCC CHAT Failed
XP_TE_DCCCHATF
pevt_dccchaterr_help
%C20*%O$tDCC CHAT to %C18$1%O lost (%C20$4%O)
4

DCC CHAT Offer
XP_TE_DCCCHATOFFER
pevt_generic_nick_help
%C24*%O$tReceived a DCC CHAT offer from %C18$1%O
1

DCC CHAT Offering
XP_TE_DCCCHATOFFERING
pevt_generic_nick_help
%C24*%O$tOffering DCC CHAT to %C18$1%O
1

DCC CHAT Reoffer
XP_TE_DCCCHATREOFFER
pevt_generic_nick_help
%C24*%O$tAlready offering CHAT to %C18$1%O
1

DCC Conection Failed
XP_TE_DCCCONFAIL
pevt_dccconfail_help
%C20*%O$tDCC $1 connect attempt to %C18$2%O failed (%C20$3%O)
3

DCC Generic Offer
XP_TE_DCCGENERICOFFER
pevt_dccgenericoffer_help
%C23*%O$tReceived &#39;%C23$1%C&#39; from %C18$2%O
2

DCC Header
XP_TE_DCCHEAD
pevt_generic_none_help
%C16,17 Type  To/From    Status  Size    Pos     File         
0

DCC Malformed
XP_TE_MALFORMED
pevt_malformed_help
%C20*%O$tReceived a malformed DCC request from %C18$1%O.%010%C23*%O$tContents of packet: %C23$2%O
2

DCC Offer
XP_TE_DCCOFFER
pevt_dccoffer_help
%C24*%O$tOffering &#39;%C24$1%O&#39; to %C18$2%O
3

DCC Offer Not Valid
XP_TE_DCCIVAL
pevt_generic_none_help
%C23*%O$tNo such DCC offer.
0

DCC RECV Abort
XP_TE_DCCRECVABORT
pevt_dccfileabort_help
%C23*%O$tDCC RECV &#39;%C23$2%O&#39; to %C18$1%O aborted.
2

DCC RECV Complete
XP_TE_DCCRECVCOMP
pevt_dccrecvcomp_help
%C24*%O$tDCC RECV &#39;%C23$1%O&#39; from %C18$3%O complete %C30[%C24$4%O cps%C30]%O
4

DCC RECV Connect
XP_TE_DCCCONRECV
pevt_dcccon_help
%C24*%O$tDCC RECV connection established to %C18$1 %C30[%O%C24$2%C30]%O
3

DCC RECV Failed
XP_TE_DCCRECVERR
pevt_dccrecverr_help
%C20*%O$tDCC RECV &#39;%C23$1%O&#39; from %C18$3%O failed (%C20$4%O)
4

DCC RECV File Open Error
XP_TE_DCCFILEERR
pevt_generic_file_help
%C20*%O$tDCC RECV: Cannot open &#39;%C23$1%C&#39; for writing (%C20$2%O)
2

DCC Rename
XP_TE_DCCRENAME
pevt_dccrename_help
%C23*%O$tThe file &#39;%C24$1%C&#39; already exists, saving it as &#39;%C23$2%O&#39; instead.
2

DCC RESUME Request
XP_TE_DCCRESUMEREQUEST
pevt_dccresumeoffer_help
%C24*%O$t%C18$1%C has requested to resume &#39;%C23$2%C&#39; from %C24$3%O.
3

DCC SEND Abort
XP_TE_DCCSENDABORT
pevt_dccfileabort_help
%C23*%O$tDCC SEND &#39;%C23$2%C&#39; to %C18$1%O aborted.
2

DCC SEND Complete
XP_TE_DCCSENDCOMP
pevt_dccsendcomp_help
%C24*%O$tDCC SEND &#39;%C23$1%C&#39; to %C18$2%C complete %C30[%C24$3%C cps%C30]%O
3

DCC SEND Connect
XP_TE_DCCCONSEND
pevt_dcccon_help
%C24*%O$tDCC SEND connection established to %C18$1 %C30[%O%C24$2%C30]%O
3

DCC SEND Failed
XP_TE_DCCSENDFAIL
pevt_dccsendfail_help
%C20*%O$tDCC SEND &#39;%C23$1%C&#39; to %C18$2%C failed (%C20$3%O)
3

DCC SEND Offer
XP_TE_DCCSENDOFFER
pevt_dccsendoffer_help
%C24*%O$t%C18$1%C has offered &#39;%C23$2%C&#39; (%C24$3%O bytes)
4

DCC Stall
XP_TE_DCCSTALL
pevt_dccstall_help
%C20*%O$tDCC $1 &#39;%C23$2%C&#39; to %C18$3%O stalled, aborting.
3

DCC Timeout
XP_TE_DCCTOUT
pevt_dccstall_help
%C20*%O$tDCC $1 &#39;%C23$2%C&#39; to %C18$3%O timed out, aborting.
3

Delete Notify
XP_TE_DELNOTIFY
pevt_generic_nick_help
%C24*%O$t%C18$1%O deleted from notify list.
1

Disconnected
XP_TE_DISCON
pevt_discon_help
%C20*%O$tDisconnected (%C20$1%O)
1

Found IP
XP_TE_FOUNDIP
pevt_foundip_help
%C24*%O$tFound your IP: %C30[%C24$1%C30]%O
1

Generic Message
XP_TE_GENMSG
pevt_genmsg_help
$1$t$2
n2

Ignore Add
XP_TE_IGNOREADD
pevt_ignoreaddremove_help
%O%C18$1%O added to ignore list.
1

Ignore Changed
XP_TE_IGNORECHANGE
pevt_ignoreaddremove_help
%OIgnore on %C18$1%O changed.
1

Ignore Footer
XP_TE_IGNOREFOOTER
pevt_generic_none_help
%C16,17                                                              
0

Ignore Header
XP_TE_IGNOREHEADER
pevt_generic_none_help
%C16,17 Hostmask                  PRIV NOTI CHAN CTCP DCC  INVI UNIG 
0

Ignore Remove
XP_TE_IGNOREREMOVE
pevt_ignoreaddremove_help
%O%C18$1%O removed from ignore list.
1

Ignorelist Empty
XP_TE_IGNOREEMPTY
pevt_generic_none_help
%OIgnore list is empty.
0

Invite
XP_TE_INVITE
pevt_generic_channel_help
%C20*%O$tCannot join %C22$1%C (%C20Channel is invite only%O)
1

Invited
XP_TE_INVITED
pevt_invited_help
%C24*%O$tYou have been invited to %C22$1%O by %C18$2%O (%C29$3%O)
3

Join
XP_TE_JOIN
pevt_join_help
%C23*$t$1 ($3) has joined
3

Keyword
XP_TE_KEYWORD
pevt_generic_channel_help
%C20*%O$tCannot join %C22$1%C (%C20Requires keyword%O)
1

Kick
XP_TE_KICK
pevt_kick_help
%C22*%O$t%C26$1%C has kicked %C18$2%C from %C22$3%C (%C24$4%O)
4

Killed
XP_TE_KILL
pevt_kill_help
%C19*%O$t%C19You have been killed by %C26$1%C (%C20$2%O)
2

Message Send
XP_TE_MSGSEND
pevt_ctcpsend_help
%O&gt;%C18$1%C&lt;%O$t$2
n2

Motd
XP_TE_MOTD
pevt_servertext_help
%C29*%O$t%C29$1%O
n1

MOTD Skipped
XP_TE_MOTDSKIP
pevt_generic_none_help
%C29*%O$t%C29MOTD Skipped%O
0

Nick Clash
XP_TE_NICKCLASH
pevt_nickclash_help
%C23*%O$t%C28$1%C already in use. Retrying with %C18$2%O...
2

Nick Failed
XP_TE_NICKFAIL
pevt_generic_none_help
%C20*%O$tNickname already in use. Use /NICK to try another.
0

No DCC
XP_TE_NODCC
pevt_generic_none_help
%C20*%O$tNo such DCC.
0

No Running Process
XP_TE_NOCHILD
pevt_generic_none_help
%C23*%O$tNo process is currently running
0

Notice
XP_TE_NOTICE
pevt_notice_help
%O-%C18$1%O-$t$2
n2

Notice Send
XP_TE_NOTICESEND
pevt_ctcpsend_help
%O-&gt;%C18$1%O&lt;-$t$2
n2

Notify Empty
XP_TE_NOTIFYEMPTY
pevt_generic_none_help
$tNotify list is empty.
0

Notify Header
XP_TE_NOTIFYHEAD
pevt_generic_none_help
%C16,17  Notify List                           
0

Notify Number
XP_TE_NOTIFYNUMBER
pevt_notifynumber_help
%C23*%O$t%C23$1%O users in notify list.
1

Notify Offline
XP_TE_NOTIFYOFFLINE
pevt_generic_nick_help
%C23*%O$tNotify: %C18$1%C is offline (%C29$3%O)
3

Notify Online
XP_TE_NOTIFYONLINE
pevt_generic_nick_help
%C23*%O$tNotify: %C18$1%C is online (%C29$3%O)
3

Open Dialog
XP_TE_OPENDIALOG
pevt_generic_none_help

n0

Part
XP_TE_PART
pevt_part_help
%C24*$t$1 has left
3

Part with Reason
XP_TE_PARTREASON
pevt_partreason_help
%C24*%O$t%C18$1%C ($2) has left (%C24$4%O)
4

Ping Reply
XP_TE_PINGREP
pevt_pingrep_help
%C24*%O$tPing reply from%C18 $1%C: %C24$2%O second(s)
2

Ping Timeout
XP_TE_PINGTIMEOUT
pevt_pingtimeout_help
%C20*%O$tNo ping reply for %C24$1%O seconds, disconnecting.
1

Private Action
XP_TE_PRIVACTION
pevt_privmsg_help
%C18**$t$3$1%O $2 %C18**
n3

Private Action to Dialog
XP_TE_DPRIVACTION
pevt_privmsg_help
%C18*$t$3$1%O $2
n3

Private Message
XP_TE_PRIVMSG
pevt_privmsg_help
%C18*%C18$3$1*%O$t$2
n3

Private Message to Dialog
XP_TE_DPRIVMSG
pevt_privmsg_help
%C18%H&lt;%H$3$1%H&gt;%H%O$t$2
n3

Process Already Running
XP_TE_ALREADYPROCESS
pevt_generic_none_help
%C24*%O$tA process is already running
0

Quit
XP_TE_QUIT
pevt_quit_help
%C24*$t$1 has quit ($2)
3

Raw Modes
XP_TE_RAWMODES
pevt_rawmodes_help
%C24*%O$t%C26$1%C sets modes %C30[%C24$2%C30]%O
2

Receive Wallops
XP_TE_WALLOPS
pevt_privmsg_help
%O-%C29$1/Wallops%O-$t$2
2

Resolving User
XP_TE_RESOLVINGUSER
pevt_resolvinguser_help
%C24*%O$tLooking up IP number for %C18$1%O...
2

SASL Authenticating
XP_TE_SASLAUTH
pevt_saslauth_help
%C23*%O$tAuthenticating via SASL as %C18$1%O
1

SASL Response
XP_TE_SASLRESPONSE
pevt_saslresponse_help
%C29*%O$t$4
n4

Server Connected
XP_TE_SERVERCONNECTED
pevt_generic_none_help
%C29*%O$tConnected.
0

Server Error
XP_TE_SERVERERROR
pevt_servererror_help
%C29*%O$t%C20$1%O
n1

Server Lookup
XP_TE_SERVERLOOKUP
pevt_serverlookup_help
%C29*%O$tLooking up %C29$1%O
1

Server Notice
XP_TE_SERVNOTICE
pevt_servertext_help
%C29*%O$t$1
n2

Server Text
XP_TE_SERVTEXT
pevt_servertext_help
%C29*%O$t$1
n3

SSL Message
XP_TE_SSLMESSAGE
pevt_sslmessage_help
%C29*%O$t$1
n2

Stop Connection
XP_TE_STOPCONNECT
pevt_sconnect_help
%C23*%O$tStopped previous connection attempt (%C24$1%O)
1

Topic
XP_TE_TOPIC
pevt_topic_help
%C22*%O$tTopic for %C22$1%C is: $2%O
2

Topic Change
XP_TE_NEWTOPIC
pevt_newtopic_help
%C22*%O$t%C26$1%C has changed the topic to: $2%O
3

Topic Creation
XP_TE_TOPICDATE
pevt_topicdate_help
%C22*%O$tTopic for %C22$1%C set by %C26$2%C (%C24$3%O)
3

Unknown Host
XP_TE_UKNHOST
pevt_generic_none_help
%C20*%O$tUnknown host. Maybe you misspelled it?
0

User Limit
XP_TE_USERLIMIT
pevt_generic_channel_help
%C20*%O$tCannot join %C22$1%C (%C20User limit reached%O)
1

Users On Channel
XP_TE_USERSONCHAN
pevt_usersonchan_help
%C22*%O$tUsers on %C22$1%C: %C24$2%O
2

WhoIs Authenticated
XP_TE_WHOIS_AUTH
pevt_whoisauth_help
%C23*%O$t%C28[%C18$1%C28]%O $2 %C18$3%O
n3

WhoIs Away Line
XP_TE_WHOIS5
pevt_whois5_help
%C23*%O$t%C28[%C18$1%C28]%C is away %C30(%C23$2%O%C30)%O
2

WhoIs Channel/Oper Line
XP_TE_WHOIS2
pevt_whois2_help
%C23*%O$t%C28[%C18$1%C28]%O $2
n2

WhoIs End
XP_TE_WHOIS6
pevt_whois6_help
%C23*%O$t%C28[%C18$1%C28] %OEnd of WHOIS list.
1

WhoIs Identified
XP_TE_WHOIS_ID
pevt_whoisid_help
%C23*%O$t%C28[%C18$1%C28]%O $2
n2

WhoIs Idle Line
XP_TE_WHOIS4
pevt_whois4_help
%C23*%O$t%C28[%C18$1%C28]%O idle %C23$2%O
2

WhoIs Idle Line with Signon
XP_TE_WHOIS4T
pevt_whois4t_help
%C23*%O$t%C28[%C18$1%C28]%O idle %C23$2%O, signon: %C23$3%O
3

WhoIs Name Line
XP_TE_WHOIS1
pevt_whois1_help
%C23*%O$t%C28[%C18$1%C28] %C30(%C24$2@$3%C30)%O: %C18$4%O
n4

WhoIs Real Host
XP_TE_WHOIS_REALHOST
pevt_whoisrealhost_help
%C23*%O$t%C28[%C18$1%C28]%O Real Host: %C23$2%O, Real IP: %C30[%C23$3%C30]%O
4

WhoIs Server Line
XP_TE_WHOIS3
pevt_whois3_help
%C23*%O$t%C28[%C18$1%C28]%O %C29$2%O
n2

WhoIs Special
XP_TE_WHOIS_SPECIAL
pevt_whoisid_help
%C23*%O$t%C28[%C18$1%C28]%O $2
n3

You Join
XP_TE_UJOIN
pevt_join_help
%C19*%O$tNow talking on %C22$2%O
3

You Kicked
XP_TE_UKICK
pevt_ukick_help
%C19*%O$tYou have been kicked from %C22$2%C by %C26$3%O (%C20$4%O)
4

You Part
XP_TE_UPART
pevt_part_help
%C19*%O$tYou have left channel %C22$3%O
3

You Part with Reason
XP_TE_UPARTREASON
pevt_partreason_help
%C19*%O$tYou have left channel %C22$3%C (%C24$4%O)
4

Your Action
XP_TE_UACTION
pevt_chanaction_help
%C20*$t%B$1%B %C30$2%O
n3

Your Invitation
XP_TE_UINVITE
pevt_uinvite_help
%C20*%O$tYou&#39;ve invited %C18$1%O to %C22$2%O (%C24$3%O)
3

Your Message
XP_TE_UCHANMSG
pevt_chanmsg_help
%C20%H&lt;%H$4$1%H&gt;%H%O%C30$t$2%O
n4

Your Nick Changing
XP_TE_UCHANGENICK
pevt_uchangenick_help
%C20*%O$tYou are now known as %C18$2%O
2
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-07 15:30:03 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
